Update an investor
PUT
/portfolio/investors/{id}Updates an existing investor record identified by its internal ID. Only the fields provided in the request body will be changed; omitted fields retain their current values.
Path parameters
Request body
application/json, optional · PortfolioUpdateInvestorRequest
{
"guid": "9a9d1c5e-4f2b-4c8e-9a7d-2f1e6b3c4d5a",
"name": "string",
"source": "string",
"source_id": "string",
"client_reference": "string"
}Responses
{
"data": {
"id": 1,
"client_reference": "string",
"guid": "string",
"email": "string",
"source": "string",
"name": "string",
"source_id": "string",
"created_at": "string",
"updated_at": "string"
}
}422
Validation error
Examples
curl -X PUT https://your-org-domain/kong/core/api/v2/portfolio/investors/{id}\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"guid": "9a9d1c5e-4f2b-4c8e-9a7d-2f1e6b3c4d5a",
"name": "string",
"source": "string",
"source_id": "string",
"client_reference": "string"
}'